Bug 173802 - pear makerpm generates RPMs with files in inappropriate location (%{_libdir}/php vs %{_datadir}/pear)
pear makerpm generates RPMs with files in inappropriate location (%{_libdir}/...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On: 176725
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-21 08:48 EST by Tim Jackson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: php-pear-1.4.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-10 09:17:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Simple patch to fix paths to accord with RH/Fedora naming conventions (1.25 KB, patch)
2005-11-21 08:51 EST, Tim Jackson
no flags Details | Diff

  None (edit)
Description Tim Jackson 2005-11-21 08:48:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The template.spec supplied with php-pear on Fedora has not been patched to account for RH/Fedora naming conventions with respect to where PEAR is installed.

This is additional to, and should probably be addressed at the same time as, the issues in bug #173270.

Version-Release number of selected component (if applicable):
php-pear-5.0.4-10.5

How reproducible:
Always

Steps to Reproduce:
1. pear makerpm Something-x.y.z.tgz
2. Observe PEAR::Something-x.y.z.spec
  

Actual Results:  PEAR::Something-x.y.z.spec contains references to %{_libdir}/php, which is not where PEAR is install these days.

Expected Results:  References to %{_libdir}/php should be %{_datadir}/pear, which is where php-pear puts PEAR.

Additional info:
Comment 1 Tim Jackson 2005-11-21 08:51:27 EST
Created attachment 121297 [details]
Simple patch to fix paths to accord with RH/Fedora naming conventions

Patch against php-pear-5.0.4-10.5

Note You need to log in before you can comment on or make changes to this bug.